#include "DEYesNoDialogue.H"

//Here we define the dialog window. We pass three
//arguments to the QDialog constructor. The first
//two (parent and name) are set to 0. The third
//makes this dialog modal.
DYesNoDialogue::DYesNoDialogue(const char* cap, const char* lab, const char* but1, const char* but2) : QDialog( 0, 0, TRUE )
{
	setCaption(cap);

	label = new QLabel( this );
	label->setText(lab);
	label->setGeometry( 10, 10, 300, 100 );
	label->setFont( QFont( "Times", 18, QFont::Bold ) );
	label->setAlignment( AlignCenter );

	yes = new QPushButton(but1, this );
	yes->setGeometry( 50, 120, 90, 30 );
	yes->setFont( QFont( "Times", 14, QFont::Bold ) );

	no = new QPushButton(but2, this );
	no->setGeometry( 180, 120, 90, 30 );
	no->setFont( QFont( "Times", 14, QFont::Bold ) );

	connect( yes, SIGNAL( clicked() ), this, SLOT( accept() ) );
	connect( no, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

//check page 168-9 for program code.
