//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Marina Zlatkina
//  FILE: CustomProperty.C
//  PROJ: COKO
//  DATE: 8/2001                                                        
//
// SYNOPSIS
//  Base class for all compiled properties.
//  
//////////////////////////////////////////////////////////////////////////////
#include "CustomProperty.H"

//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name: CustomProperty
// Parameters:	(Property *)
//
// Constructor.
//         								    
//////////////////////////////////////////////////////////////////////////////
CustomProperty::CustomProperty(Property *p): root(p){}

//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name: isTrue
// Parameters:	(CState *, NonTypeArgs *)
//
// Return the return value of calling the isTrue method on root.
//         								    
//////////////////////////////////////////////////////////////////////////////
NonTypeArgs * CustomProperty::isTrue( CState *s, NonTypeArgs *a){
  return root->isTrue(s,a);
}
