//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Marina Zlatkina
//  FILE: Property.H
//  PROJ: COKO
//  DATE: 8/2001                                                            
//
// SYNOPSIS
//  Superclass of all Property objects.
//  
//////////////////////////////////////////////////////////////////////////////
#ifndef _PROPERTY_H
#define _PROPERTY_H

class CState;
class NonTypeArgs;

class Property {
public:
  virtual ~Property() {}
  // destructor

  virtual NonTypeArgs *isTrue(CState *, NonTypeArgs *) = 0;
  // method that determines if the current Property is true.
};

#endif
