#ifndef _DVISCONSOLE_H_
#define _DVISCONSOLE_H_

#include "DEVertSplit.H"
#include <qmultilineedit.h>

class DVertSplit;

class DVisConsole : public QMultiLineEdit
{
public:
  DVisConsole(DVertSplit * parent = 0, const char * name = 0);
  void insertAtEnd(const char*);
  
protected:
  //void mousePressEvent( QMouseEvent * );
  virtual void keyPressEvent ( QKeyEvent * );
  
private:
  void gotoEnd();
  
protected:
  DVertSplit * parentWid;
  int currentEndRow;
  int currentEndCol;
  int begCount;
};

#endif
