#ifndef _DHORIZSPLIT_H_
#define _DHORIZSPLIT_H_
#include "VC.H"
#include <qmultilineedit.h>
#include <qsplitter.h>
#include <qvaluelist.h>
#include <qfile.h>
#include "DEPaintWindow.H"

class MyMainWindow;

class DHorizSplit: public QSplitter
{
  
public:
  DHorizSplit(MyMainWindow *parent=0, const char *name=0, QWidget* left=0, DPaintWindow* right=0);
  void dealWithSelection(QString*);
  void setRelativeSizes(int,int);
  
private:
  QPalette palette;
  QWidget* leftPart;
  DPaintWindow* rightPart;
  MyMainWindow * parentWid;
};

#endif
