/* -*-Mode:c++-*- */

//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Mitch Cherniack (mfc)
//        Xiaoyu Wang (wangxy)
//  FILE: KOTAttr.C 
//  PROJ: COKO, KOLA
//  DATE: 9/00		                                                    
//
//////////////////////////////////////////////////////////////////////////////

#include "KOTAttr.H"
extern "C" { int atio(const char *s); }
  
//////////////////////////////////////////////////////////////////////////////
//
// Function Name:  TAttr
// Parameters: (OStr* str)
//
// Constructor.
//
// needs refine later...
//
/////////////////////////////////////////////////////////////////////////////

TAttr::TAttr(OStr* str):Tag(TAG_ATTR, "@" )
{
    one = str;
    variableNum = 0;
}

//////////////////////////////////////////////////////////////////////////////
//
// Function Name: TAttr 
// Parameters:(TAttr& other)
//
// Copy Constructor
// refine later.
//
/////////////////////////////////////////////////////////////////////////////

TAttr::TAttr(const TAttr& other):Tag((Tag &)other)
{
  one = (OStr *)(other.One()->Copy());
  variableNum = other.getVariableNum();
}

/////////////////////////////////////////////////////////////////////////////
//
// Function Name: ~TAttr
// Parameters: ()
//
// Destructor
//
/////////////////////////////////////////////////////////////////////////////

TAttr::~TAttr()
{
    delete one;
}

/////////////////////////////////////////////////////////////////////////////
//
// Function Name: Copy
// Parameters: ()
//
// return the copy of this tagexp
//
/////////////////////////////////////////////////////////////////////////////

TAttr* TAttr::Copy() const
{
  TAttr* temp = new TAttr (*this);
  temp->setVariableNum(variableNum);
  return temp;
}

/////////////////////////////////////////////////////////////////////////////
//
// Function Name: deepeq
// Parameters: (NonType *)
//
//does nothing now
//
/////////////////////////////////////////////////////////////////////////////

int TAttr::deepeq(NonType* other)
{
  return T;
}

////////////////////////////////////////////////////////////////////////////
//
// Function Name: Myname
// Parameters: ()
//
// return a union type, NameUnion.
// since NonType has 6 different sub-classes....
//
////////////////////////////////////////////////////////////////////////////

NameUnion* TAttr::Myname()
{
  return NULL;
}

/////////////////////////////////////////////////////////////////////////////
//
// Function Name:  nextChild
// Parameters: ()
//
// Return "currChild++"th child.
// When currChild is equal to the number of children
// (when currChild is the last child), it returns NULL.
//
/////////////////////////////////////////////////////////////////////////////

NonType* TAttr::nextChild()
{
    if(currChild == 0)
      {
        currChild++;
        return one;
      }
    else  return NULL;
}

/////////////////////////////////////////////////////////////////////////////
//
// Function Name: representation
// Parameters: ()
//
/////////////////////////////////////////////////////////////////////////////

char * TAttr::representation()
{
    char *pr = one->representation();
    char *res = new char[strlen(pr)+strlen("(@ )")+1];
    sprintf(res, "(@ %s)", pr);
    delete [] pr;
    return res;
}

////////////////////////////////////////////////////////////////////////////
//
// Function Name: Transform
// Parameters: (CState*)
//
// Return corresponding NonType object.
//
// Now it does nothing just return itself 
//
////////////////////////////////////////////////////////////////////////////

NonType* TAttr::transform(CState* s)
{
    return this;
}

////////////////////////////////////////////////////////////////////////////
//
// Function Name: compares
// Parameters: (NonType*, CState*)
//
// compare two trees
//
////////////////////////////////////////////////////////////////////////////

int TAttr::compares(NonType* nt, CState* a)
{
    return T;

}

//////////////////////////////////////////////////////////////////////////
//
// Function Name: compareSTM
// Parameter: (NonType*, CState*)
//
// Check for match between two NonType tree...
//
// Does nothing now, just return T, 
//
//////////////////////////////////////////////////////////////////////////

int TAttr::compareSTM(NonType* nt, CState* a)
{
    return T;
}

///////////////////////////////////////////////////////////////////////////
//
// Function Name: replaceChild
// Parameters: (NonType*, int)
//
// Replace a child of a given tree..
//
///////////////////////////////////////////////////////////////////////////

void TAttr::replaceChild(NonType* child, int which_child)
{
    if(which_child == 1)
         setOne(child);
}


///////////////////////////////////////////////////////////////////////////
//
// Function Name: prolog
// Parameters:()
//
// Does nothing, return NULL
//
//////////////////////////////////////////////////////////////////////////

char* TAttr::prolog()
{
    return NULL;
}

#ifdef _PROLOG_
///////////////////////////////////////////////////////////////////////////
//
// Function Name: sp_prolog
// Parameters:()
//
// Does nothing, return NULL
//
///////////////////////////////////////////////////////////////////////////

SP_term_ref TAttr::sp_prolog()
{
    return NULL;
}
#endif //_PROLOG_

